package com.samelement.iot_notification.service;

import android.content.Context;

import okhttp3.OkHttpClient;

public class ApiCalls {
    public OkHttpClient client;
    private static ApiCalls instance;

    private ApiCalls(final Context context) {
        client = new CustomTrust(context,
                new AccessTokenAuthenticator(AccessTokenRepository.getInstance(context))
        ).getClient();
    }

    public static ApiCalls getInstance(Context context) {
        if (instance == null) instance = new ApiCalls(context);

        return instance;
    }
}
